summaryrefslogtreecommitdiff
path: root/app-admin/puppet/files/puppet.init
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /app-admin/puppet/files/puppet.init
reinit the tree, so we can have metadata
Diffstat (limited to 'app-admin/puppet/files/puppet.init')
-rw-r--r--app-admin/puppet/files/puppet.init40
1 files changed, 40 insertions, 0 deletions
diff --git a/app-admin/puppet/files/puppet.init b/app-admin/puppet/files/puppet.init
new file mode 100644
index 000000000000..d30367ad3fb2
--- /dev/null
+++ b/app-admin/puppet/files/puppet.init
@@ -0,0 +1,40 @@
+#!/sbin/openrc-run
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need localmount net
+ use dns logger puppetmaster netmount nfsmount
+}
+
+checkconfig() {
+ if [ ! -d "${PUPPET_PID_DIR}" ] ; then
+ eerror "Please make sure PUPPET_PID_DIR is defined and points to a existing directory"
+ return 1
+ fi
+
+ return 0
+}
+
+start() {
+ checkconfig || return $?
+
+ local options=""
+ [ -n "${PUPPET_EXTRA_OPTS}" ] && options="${options} ${PUPPET_EXTRA_OPTS}"
+
+ ebegin "Starting puppet"
+ start-stop-daemon --start --quiet \
+ --pidfile "${PUPPET_PID_DIR}/agent.pid" \
+ --exec /usr/bin/puppetd -- ${options}
+ eend $? "Failed to start puppet"
+}
+
+stop() {
+ ebegin "Stopping puppet"
+ start-stop-daemon --stop --quiet \
+ --pidfile "${PUPPET_PID_DIR}/agent.pid"
+ local ret=$?
+ eend ${ret} "Failed to stop puppet"
+ rm -f "${PUPPET_PID_DIR}/agent.pid"
+ return ${ret}
+}